Bug 1220040 - [abrt] python-dnf: completion_helper.py:92:run:UnboundLocalError: local variable 'pkgs' referenced before assignment
[abrt] python-dnf: completion_helper.py:92:run:UnboundLocalError: local varia...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bbd9cef516a0a40a73d14b55185...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-09 08:29 EDT by Valerio De Angelis
Modified: 2015-08-10 22:08 EDT (History)
11 users (show)

See Also:
Fixed In Version: dnf-1.0.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 22:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (892 bytes, text/plain)
2015-05-09 08:29 EDT, Valerio De Angelis
no flags Details
File: environ (3.51 KB, text/plain)
2015-05-09 08:29 EDT, Valerio De Angelis
no flags Details

  None (edit)
Description Valerio De Angelis 2015-05-09 08:29:12 EDT
Description of problem:
Just writing "dnf list auto" then I pressed TAB to autocomplete, then the error apperas.

Version-Release number of selected component:
python-dnf-1.0.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
cmdline:        python2 /usr/lib/python2.7/site-packages/dnf/cli/completion_helper.py list autoremove '' -d 0 -q -C
executable:     /usr/lib/python2.7/site-packages/dnf/cli/completion_helper.py
kernel:         4.0.1-300.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
completion_helper.py:92:run:UnboundLocalError: local variable 'pkgs' referenced before assignment

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dnf/cli/completion_helper.py", line 189, in <module>
    main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/dnf/cli/completion_helper.py", line 185, in main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1077, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/completion_helper.py", line 92, in run
    for pkg in pkgs:
UnboundLocalError: local variable 'pkgs' referenced before assignment

Local variables in innermost frame:
self: <__main__.ListCompletionCommand object at 0x7f8eefa53350>
args: ['autoremove', '']
subcmds: [u'all', u'available', u'installed', u'updates', u'extras', u'autoremove', u'obsoletes', u'recent']
Comment 1 Valerio De Angelis 2015-05-09 08:29:16 EDT
Created attachment 1023728 [details]
File: backtrace
Comment 2 Valerio De Angelis 2015-05-09 08:29:18 EDT
Created attachment 1023729 [details]
File: environ
Comment 3 Honza Silhan 2015-06-23 04:44:48 EDT
Thanks for the report. Igor, can you take a look what's going wrong, please?
Comment 5 Fedora Update System 2015-07-22 04:25:20 EDT
dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22
Comment 6 Fedora Update System 2015-07-31 22:28:29 EDT
Package dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-1.0.2-3.fc22 hawkey-0.5.9-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12577/dnf-1.0.2-3.fc22,hawkey-0.5.9-3.fc22
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-08-10 22:08:26 EDT
dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.